**Change keyboard layout in console (Debian)**

    dpkg-reconfigure keyboard-configuration
    service keyboard-setup restart

Source: <https://wiki.debian.org/Keyboard>

- - -

**Check/Open SSL connection (command line)**

    echo | openssl s_client -connect $HOST:$PORT -servername $SNI

- - -

**Resize an ext partition in LVM**

    lvresize -L+20G vg/lv
    resize2fs /dev/mapper/vg-lv

- - -

**Useful grep options**

    -l  --files-with-matches
    -o  --only-matching
    -H  --with-filename

- - -

**Handling NUL-separated strings**

`grep`: `-z` for input, `-Z` for output

`find`: `-print0` for output

`sort`: `-z` for both input and output

`awk`: `BEGIN { RS="\0" }` for input, `BEGIN { ORS="\0" }` for output

- - -

**Online markdown editor**

<https://stackedit.io/editor>

- - -

**Other cheatsheets**

* Markdown: <http://packetlife.net/media/library/16/Markdown.pdf>
* Unix Toolbox: <http://cb.vu/unixtoolbox.xhtml>
